import request from '@/utils/request'

//2024-05-01合并
//查询运输方式体积货重量 lanbm 2024-04-01 add
export function SalesReportCount(data) {
  return request({
    url: '/Report/SalesReport/SalesReportCount',
    method: 'post',
    data: data
  })
}

//查询首次成交客户数量 lanbm 2024-04-01 add
export function FirstCustomerCount(data) {
  return request({
    url: '/Report/SalesReport/FirstCustomerCount',
    method: 'post',
    data: data
  })
}

//获取一段时间客户成交数目
export function CustomerTargetCount(query) {
  return request({
    url: '/Report/SalesReport/CustomerTargetCount',
    method: 'get',
    params: query
  })
}

//销售分析统计列表 lanbm 2024-04-01 add
export function SalesReportList(data) {
  return request({
    url: '/Report/SalesReport/SalesReportList',
    method: 'post',
    data: data
  })
}



//获取销售分析图表数据
export function getEChartData(query) {
  return request({
    url: '/Report/SalesReport/getEChartData',
    method: 'get',
    params: query
  })
}

// 导出测试 Excel 2024-04-27
export function exportTestExcel(query) {
  return request({
    url: '/SalesReport/test/export-excel',
    method: 'get',
    params: query,
    responseType: 'blob'
  })
}
